API Documentation Download OpenAPI specification

Get All Mail Orders

GEThttps://bll.titan.email/partner/listMailOrders

API to fetch list of all Mail Orders on Titan Mail Cloud Infra for a given customerId or titanCustomerId. Recommended to use titanCustomerId as it uniquely identifies a customer.

NOTE for partners using Titan's cPanel/plesk plugins:

  • If Titan finds multiple customers with same customerId on different cPanel/plesk hosts:
    • The API fails with an InternalServerError as a unique customer is not found
    • If you instead want Titan to collate mail orders for given customerId across all your hosts and return in response, do let Titan know
      • the behaviour can be enabled at Titan's end via a config change
      • once the behaviour is enabled, instead of a failure you will see collated orders
    • For an order, you can differentiate customers details using customerEmailAddress and serverHostName params.
  • customerId, in case of cPanel/plesk, is the username on those servers
  • do make sure of adding any extra filtering required at your end, on host or customer email, before showing list to customers

Query parameters

customerIdstringoptional

The customer ID stored on your end for each customer This is used to identify all the orders linked to a particular customer. Either customerId or titanCustomerId must be provided.

Example: abc12345
titanCustomerIdnumberoptional

The customer ID stored on Titan's end. Either customerId or titanCustomerId must be provided.

Example: 123

Responses

200OKapplication/json
ordersobject[]
Show propertiesHide properties
titanOrderIdnumberrequired
Example: 1
domainNamestring

The mail order name associated to the Titan order ID

Example: abc.com
orderIdstring

The order ID stored on your end for this mail order, if any. If needed, You can use this data to correlate orders at your end and in Titan.The data is returned in listMailOrders call.

Example: 12431
planTypestring · enum

This is the Titan mail plan. This would vary based on the plans being positioned with the partner.

Example: pro
Possible values: free pro premium pro_trial premium_trial ultra ultra_trial
noOfAccountsnumber

Maximum number of email accounts permitted to be created within the domain. E.g. The domain might have 3 mailboxes created with a limit of 10 mailboxes. The return value will be 10 in this case

Example: 10
numberOfAccountsnumber

[Deprecated] Maximum number of email accounts permitted to be created within the domain. Would be discontinued going forward, please use noOfAccounts.

Example: 10
noOfBillableAccountsnumber

Number of email accounts provisioned, which are in active/suspended state if domain is on non paid plan. Would be equal to noOfAccounts for paid domains.

Example: 10
noOfActiveAccountsnumber

Number of active email accounts

Example: 6
noOfProvisionedAccountsnumber

Number of email accounts provisioned, which are in active/suspended state

Example: 8
expiryDatestring

In yyyy-MM-dd format. Expiry date set against the domain

Example: 2020-01-31
statusstring · enum
Example: active
Possible values: active pending suspended deleted
customerEmailAddressstring

Customer email address All communications will be sent here This will also be the primary admin for the domain

Example: titanuser@titan.mail
serverHostNamestringoptional

hostname of the hosting-server where user's hosting order has been provisioned. only available in case provisioning is via cPanel/plesk plugin

Example: cpanel102.titan.co
sourcestring · enumoptional

The source from which the order is received - Refers to the kind of package provisioned on the partners end. Source field should be either of these values - domain, standalone, hosting, migrated. It will be validated against these values when the Api call is made

Example: hosting
Possible values: domain standalone hosting migrated
500InternalServerError
  • multiple customers with same customerId on different hosts are present, and such behaviour isn't enabled.
  • can only happen in case of cPanel/plesk plugin based provisioning
See General Errors for other errors that this API can return.
GET/partner/listMailOrders
curl 'https://bll.titan.email/partner/listMailOrders?customerId=abc12345&titanCustomerId=123' \
  --header 'Authorization: API.Key'
Response
{
  "orders": [
    {
      "titanOrderId": 1,
      "domainName": "abc.com",
      "orderId": "12431",
      "planType": "pro",
      "noOfAccounts": 10,
      "numberOfAccounts": 10,
      "noOfBillableAccounts": 10,
      "noOfActiveAccounts": 6,
      "noOfProvisionedAccounts": 8,
      "expiryDate": "2020-01-31",
      "status": "active",
      "customerEmailAddress": "titanuser@titan.mail",
      "serverHostName": "cpanel102.titan.co",
      "source": "hosting"
    }
  ]
}